package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class SjdzDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private String rsWbSjdzLsh;
    
    @ApiModelProperty(value = "用户id")
    private String yhid;
    
    @ApiModelProperty(value = "收件人姓名")
    @NotBlank(message = "收件人姓名不能为空")
    private String sjrxm;
    
    @ApiModelProperty(value = "收件人电话")
    @NotBlank(message = "收件人电话不能为空")
    private String sjrdh;
    
    @ApiModelProperty(value = "收件地址")
    @NotBlank(message = "收件地址不能为空")
    private String sjdz;
    
    @ApiModelProperty(value = "邮政编码")
    @NotBlank(message = "邮政编码不能为空")
    private String yzbm;
    
    @ApiModelProperty(value = "默认地址")
    @NotBlank(message = "默认地址不能为空")
    private String mrdz;

    @ApiModelProperty(value = "收件人所在省")
    @NotBlank(message = "收件人所在省不能为空")
    private String tcustProvince;

    @ApiModelProperty(value = "收件人所在市")
    @NotBlank(message = "收件人所在市不能为空")
    private String tcustCity;

    @ApiModelProperty(value = "收件人所在区")
    private String tcustCounty;

    public String getTcustProvince() {
        return tcustProvince;
    }

    public void setTcustProvince(String tcustProvince) {
        this.tcustProvince = tcustProvince;
    }

    public String getTcustCity() {
        return tcustCity;
    }

    public void setTcustCity(String tcustCity) {
        this.tcustCity = tcustCity;
    }

    public String getTcustCounty() {
        return tcustCounty;
    }

    public void setTcustCounty(String tcustCounty) {
        this.tcustCounty = tcustCounty;
    }

    public String getRsWbSjdzLsh() {
		return rsWbSjdzLsh;
	}

	public void setRsWbSjdzLsh(String rsWbSjdzLsh) {
		this.rsWbSjdzLsh = rsWbSjdzLsh;
	}

	public String getYhid() {
        return yhid;
    }

    public void setYhid(String yhid) {
        this.yhid = yhid;
    }

    public String getSjrxm() {
        return sjrxm;
    }

    public void setSjrxm(String sjrxm) {
        this.sjrxm = sjrxm;
    }

    public String getSjrdh() {
        return sjrdh;
    }

    public void setSjrdh(String sjrdh) {
        this.sjrdh = sjrdh;
    }

    public String getSjdz() {
        return sjdz;
    }

    public void setSjdz(String sjdz) {
        this.sjdz = sjdz;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getMrdz() {
        return mrdz;
    }

    public void setMrdz(String mrdz) {
        this.mrdz = mrdz;
    }
}

